PUT sortiments/{qnipsSortimentId}/group} · POS API
PUT sortiments/{qnipsSortimentId}/group}
PUT
/sortiments/{qnipsSortimentId}/group/{Id}Parameter
qnipsSortimentIdstringErforderlichthis is the qnipsSortimentId' returned by the call to GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.
'sortiment123'Request-Header
DevKey{Your Key}TrackingUnitId{trackingUnitId}Originaler Blueprint-Ausschnitt
API Blueprint
### PUT sortiments/{qnipsSortimentId}/group} [PUT]
+ Parameters
+ qnipsSortimentId (string, `'sortiment123'`) ... this is the `qnipsSortimentId' returned by the call to `GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.
+ Request
+ Headers
DevKey: {Your Key}
TrackingUnitId: {trackingUnitId}
+ Body
{
"Id": "123."
"UpGroupId": "234",
"Name":[
{ "lang": "de-DE", "val": "Getränke" }
{ "lang": "de-CH", "val": "Getränke" }
{ "lang": "it-CH", "val": "Bevande" }
{ "lang": "fr-UK", "val": "Boissons" }
]
}
+ response 200
+ response 500
// HTTP-InternalServerError: An unknown problem occurred during processing
{
"ErrorMessage": "some explanation"
"StackTrace": "text"
}
+ response 403
// HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
+ Response 401
// HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
+ response 400
{
"ErrorId":123,
"ErrorText": "Details of the error"
}
// here all possible error codes incl. texts for this resource
// 1000: Body contains syntactical errors and cannot be deserialized
// 12001: qnips sortimentId unknown
// 12002: Id field not set
// 12003: No product group found under the specified UpGroupId
// 12005: Name was not specified, but is expected in at least one language
// 12006: No item found under given Id
// 12007: UpGroupId must not be changed. Delete the item instead and create it in the other material group